	<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100065";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

	//////Arrastrando campos del Formulario
		$CambioLotePG=strtoupper($_POST['txt_Lote']) or $CambioLotePG=strtoupper($_GET['txt_Lote']);
		$TipoLotePG=strtoupper($_POST['TipLote']) or $TipoLotePG=strtoupper($_GET['TipLote']);
		
			//////Validar campos en blanco////////////
		if ($CambioLotePG=="")
			{ ////Inicia If Lote en blanco
			echo "<script>alert('Favor de digitar el Lote a Procesar.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=54-ProcesaCambioLote.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If Lote en blanco
			
			if ($TipoLotePG=="")
			{ ////Inicia If Tipo Lote en blanco
			echo "<script>alert('Favor de seleccionar el Tipo de Lote a Editar.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=54-ProcesaCambioLote.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
			}
			else
			{ ////Else If Tipo Lote en blanco
											
				$CuentaRegExitosos = "0";
				$CuentaRegTotal = "0";
				
//////¿?¿?¿?¿?¿?¿?¿?¿?¿?¿??¿?¿?¿?¿?¿?¿?¿?¿?¿? Inicia While 1	¿?¿?¿?¿?¿?¿?¿?¿?¿??¿?¿?¿?¿?¿?¿?¿?¿?¿?¿?//////		
				$sqlW1 = "SELECT * FROM temporal_lote WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO='$UsuEn' ORDER BY ID  ASC";
				$resW1=mysql_query($sqlW1) or die('Error en la consulta: '.mysql_error());
				While($rowW1 = mysql_fetch_array($resW1,MYSQL_ASSOC))
				{ //// Inicia While 1
				$IdElimC=$rowW1["ID"];	
				$NoPalletC=$rowW1["NO_PALLET"];
				$LoteAnteC=$rowW1["LOTE"];
				$LoWmsAnteC=$rowW1["LOTEWMS"];
				$LoProAnteC=$rowW1["LOTEPRODU"];
				
					/////Identificar el codigo SKU del producto por medio de la clave del Pallet
					$sqlDU2 = mysql_query("select * from tabla_inventario WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPalletC'");
					if (mysql_numrows($sqlDU2)==0) echo "";
					else{
					$registroDU2=mysql_fetch_array($sqlDU2);
					}
					if (mysql_numrows($sqlDU2)>0)
					{
						
						$CSku=$registroDU2["SKU"];
						$CSkuAlt=$registroDU2["SKU_ALT"];
						$CNoDoc=$registroDU2["NO_DOCUMENTO"];
						$CCanti=$registroDU2["CANTIDAD"];
						$CUbicaActu=$registroDU2["UBICACION"];
				
						$CCantiMEN="-".$registroDU2["CANTIDAD"];
						$CCantiMAS=$registroDU2["CANTIDAD"];
					}					
					

						/////Identificar el Criterio de Almaceaje de la Ubicación Destino
						$sqlDU3 = mysql_query("select * from tabla_criterio_almacenamiento WHERE CVE_CUENTA='$CveCueCR1' AND CVE_UBICACION='$CUbicaActu'");
						if (mysql_numrows($sqlDU3)==0) echo "";
						else{
						$registroDU3=mysql_fetch_array($sqlDU3);
						}
						if (mysql_numrows($sqlDU3)>0)
						{
						$Com_LoteDU3=$registroDU3["COMBINACION_LOTE"];	
						}
							
							//////HORA y FECHA/////
							$Hora=time();
							$HoraOK=date("H:i:s",$Hora);
							$Fecha=date("Y/m/d");
			
							//////Validar si el cambio de calidad esta Autorizado dentro de la configuración del Almacenaje////
 							////En otras palabras, si NO utiliza la combinación de Caducidades no dejara realizar el cambio  a                            dicho pallet////
							
							if ($Com_LoteDU3<>"NO")
							{ ////Inicia IF Valida Combinación de Calidad
							
							$CuentaRegTotal=$CuentaRegTotal+1;
								
							    ///////Variables Fijas////////////
								if ($TipoLotePG=="LOTE")
									{	$LoOriginal = $LoteAnteC;
										$NMovimiento="LOTE - ".$LoOriginal;
										$NMovimientoMAS="LOTE + ".$CambioLotePG;
										$CampoTINVE = "LOTE";
									}
								if ($TipoLotePG=="LOTEWMS")
									{
										$LoOriginal = $LoWmsAnteC;
										$NMovimiento="LOTEWMS - ".$LoOriginal;
										$NMovimientoMAS="LOTEWMS + ".$CambioLotePG;
										$CampoTINVE = "LOTEWMS";
									}
								if ($TipoLotePG=="LOTEPRO")
									{
										$LoOriginal = $LoProAnteC;
										$NMovimiento="LOTEPRO - ".$LoOriginal;
										$NMovimientoMAS="LOTEPRO + ".$CambioLotePG;
										$CampoTINVE = "LOTEPRODU";
									}

								////""""""" Generar el Registro a menos dentro del Kardex """"""""////
								///////Generador de Folio concecutivo en la tabla Kardex///////////
								$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
								$libK = mysql_query($sqlIDK); 
								$rs_libK = mysql_fetch_assoc($libK); 
								$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
								
								//////Guardar el registro a MENOS en la Table_Kardex//////////
								$sqlKMEN = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevoK','$CveBodCR1','$CveCueCR1','$CSku','$CSkuAlt','$CNoDoc','$NMovimiento','$CUbicaActu','$NoPalletC','$CCantiMEN','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMEN=mysql_query($sqlKMEN,$conexion) or die(mysql_error());
								
								
								////""""""" Generar el Registro a mas dentro del Kardex """"""""////
								///////Generador de Folio concecutivo en la tabla Kardex///////////
								$sqlIDK2 = "select max(ID) as ultimo_FOLIOK2 from tabla_kardex"; 
								$libK2 = mysql_query($sqlIDK2); 
								$rs_libK2 = mysql_fetch_assoc($libK2); 
								$id_nuevoK2 = $rs_libK2['ultimo_FOLIOK2'] + 1;
			
								//////Guardar el registro a MAS en la Table_Kardex//////////
								$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        	values('$id_nuevoK2','$CveBodCR1','$CveCueCR1','$CSku','$CSkuAlt','$CNoDoc','$NMovimientoMAS','$CUbicaActu','$NoPalletC','$CCantiMAS','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMAS=mysql_query($sqlKMAS,$conexion) or die(mysql_error());
								
								//////Guardar el Cabio de Calidad en la BD - Modifica la Table Inventario//////////
								$sqlMI="UPDATE tabla_inventario SET $CampoTINVE='$CambioLotePG' WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPalletC'";
								$resultadoMI=mysql_query($sqlMI,$conexion) or die(mysql_error());
								
								/////Consulta que elimina el Pallet de la tabla Temporal (temporal_cambiocalidad)///////
								$sqlEtt= "DELETE FROM temporal_cambiocalidad WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$NoPalletC' AND ID='$IdElimC'";
								$resultadoEtt=mysql_query($sqlEtt,$conexion) or die(mysql_error());
								
								/////Consulta que elimina el Pallet en Proceso(tabla_pallet_proceso)///////
								$sqlEPM= "DELETE FROM tabla_pallet_proceso WHERE CVE_CUENTA='$CveCueCR1' AND USUARIO_REG='$UsuEn' AND NO_PALLET='$NoPalletC'";
								$resultadoEPM=mysql_query($sqlEPM,$conexion) or die(mysql_error());
			
								
							} ////Termina IF Valida Combinación de Calidad
							else
							{ ////Inicia Else Valida Combinación de Calidad
							
							///////Variables Fijas////////////
								if ($TipoLotePG=="LOTE")
									{	$LoOriginal = $LoteAnteC;
									}
								if ($TipoLotePG=="LOTEWMS")
									{
										$LoOriginal = $LoWmsAnteC;
									}
								if ($TipoLotePG=="LOTEPRO")
									{
										$LoOriginal = $LoProAnteC;
									}
								
								/////// Generador de Folio concecutivo en la tabla temporal_bitacora_cambiolote //////
								$sqlBT = "select max(ID) as ultimo_FOLIOBT from temporal_bitacora_cambiolote"; 
								$libBT = mysql_query($sqlBT); 
								$rs_libBT = mysql_fetch_assoc($libBT); 
								$id_nuevoBT = $rs_libBT['ultimo_FOLIOBT'] + 1;
								
								////// Guardar el registro de la Incidencia en la tabla temporal_bitacora_cambiolote /////
								$sqlAI = "insert into temporal_bitacora_cambiolote (ID,CVE_BODEGA,CVE_CUENTA,NO_PALLET,LOTE_ACT,LOTE_CAM,MOTIVO_RECAZO,USUARIO_REG,HORA,FECHA)
        	values('$id_nuevoBT','$CveBodCR1','$CveCueCR1','$NoPalletC','$LoOriginal','$CambioLotePG','El Criterio de Almacenamiento de la Ubicación: $CUbicaActu no permite Combinar Lotes','$UsuEn','$HoraOK','$Fecha')";
								$resultadoAI=mysql_query($sqlAI,$conexion) or die(mysql_error());
								
							} ////Termina Else Valida Combinación de Calidad
				
				$CuentaRegExitosos=$CuentaRegExitosos+1;
				
				} //// Termina While 1
				
					 /////Identificar el tipo de mensaje y Tipo de Direccionamiento - Depende del proceso Ejecutado
					 if ($CuentaRegExitosos<>$CuentaRegTotal)			
						{ ///// Inicia If Validador de Proceso
							echo "<script>alert('CAMBIO(S) DE LOTE PROCESADO(S) PARCIALMENTE.\\n\\nExisten pallets a los cuales no se les proceso el cambio, favor de verificar la bitacota.'); </script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=54-BitacoraCambioLote.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
						}
						else
						{ ///// Inicia Else Validador de Proceso
							echo "<script>alert('CAMBIO(S) DE LOTE PROCESADO(S) CORRECTAMENTE.'); </script>";
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=54-ProcesaCambioLote.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&EliBuf=SI'>";
						}
				
			} ////Termina If Tipo Lote en Blanco
		} ////Termina If Lote en Blanco
			
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>